### Constructor

# Eog Image new_file

#### Declaration [src]

    EogImage*
    eog_image_new_file (
      GFile* file,
      const gchar* caption
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`caption`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EogImage`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.